#include "SW_RewardPVModel.h"

SW_RewardPVModel::SW_RewardPVModel(bool expandTimeArrays) {
  TheModel=new SW_channelRJ();
  DefineName("SW_RewardPVModel");
  CreatePVList(7, expandTimeArrays);
  Initialize();
}



PerformanceVariableNode* SW_RewardPVModel::createPVNode(int pvindex, int timeindex) {
  switch(pvindex) {
  case 0:
    return new SW_RewardPV0(timeindex);
    break;
  case 1:
    return new SW_RewardPV1(timeindex);
    break;
  case 2:
    return new SW_RewardPV2(timeindex);
    break;
  case 3:
    return new SW_RewardPV3(timeindex);
    break;
  case 4:
    return new SW_RewardPV4(timeindex);
    break;
  case 5:
    return new SW_RewardPV5(timeindex);
    break;
  case 6:
    return new SW_RewardPV6(timeindex);
    break;
  }
  return NULL;
}
